
%macro misswage;
  %do yr=85 %to 89;
    %do qtr=1 %to 4;
      if accid&yr&qtr=99999 then accid&yr&qtr=.;
      if wg&yr&qtr=99999999.99 then wg&yr&qtr=.;
      if wgr&yr&qtr=999.99 then wgr&yr&qtr=.;
    %end;
  %end;
%mend;

data wreb;
  infile 'dkb200:[demodata]wreb.dat' recfm=D lrecl=1082;
  input @1 idno       5.
        @6 accid851   5.
        @11 accid852  5.
        @16 accid853  5.
        @21 accid854  5.
        @26 accid861  5.
        @31 accid862  5.
        @36 accid863  5.
        @41 accid864  5.
        @46 accid871  5.
        @51 accid872  5.
        @56 accid873  5.
        @61 accid874  5.
        @66 accid881  5.
        @71 accid882  5.
        @76 accid883  5.
        @81 accid884  5.
        @86 accid891  5.
        @91 accid892  5.
        @96 accid893  5.
        @101 accid894 5. 
        @106 age      4.1   
        @110 asc      1.
        @111 bktowork 1.    
        @112 bonus         1.    
        @113 bonusamt      4.    
        @117 bsic         $1.    
        @118 bwages       11.2   
        @129 dislmea       1.    
        @130 disloc1       1.    
        @131 disloc2       1.    
        @132 disloc3       1.    
        @133 dot          $3.    
        @136 edc         mmddyy6.
        @142 educate       2.    
        @144 enrollwk 2.    
        @146 entitle  2.    
        @148 ethnic  $1.    
        @149 f4a      1.    
        @150 fileqtr  3.    
        @153 iaws    $1.    
        @154 iur1     4.1   
        @158 iur2          4.1   
        @162 iur3          4.1   
        @166 iur4          4.1   
        @170 iur5          4.1   
        @174 iur6          4.1   
        @178 iur7          4.1   
        @182 iur8          4.1   
        @186 iur9          4.1     
        @190 iur10         4.1   
        @194 iur11         4.1   
        @198 iur12         4.1   
        @202 iur13         4.1   
        @206 iur14         4.1   
        @210 iur15         4.1   
        @214 iur16         4.1   
        @218 iur17         4.1   
        @222 iur18         4.1   
        @226 iur19         4.1   
        @230 iur20         4.1   
        @234 iur21         4.1   
        @238 iur22         4.1   
        @242 iur23         4.1   
        @246 iur24         4.1   
        @250 iur25         4.1   
        @254 iur26         4.1   
        @258 jsc          $3.    
        @261 mbp           4.    
        @265 netpay1       3.    
        @268 netpay2       3.    
        @271 netpay3       3.    
        @274 netpay4       3.    
        @277 netpay5       3.    
        @280 netpay6       3.    
        @283 netpay7       3.    
        @286 netpay8       3.    
        @289 netpay9       3.    
        @292 netpay10      3.    
        @295 netpay11      3.    
        @298 netpay12      3.    
        @301 netpay13      3.    
        @304 netpay14      3.    
        @307 netpay15      3.    
        @310 netpay16      3.    
        @313 netpay17      3.    
        @316 netpay18      3.    
        @319 netpay19      3.    
        @322 netpay20      3.    
        @325 netpay21      3.    
        @328 netpay22      3.    
        @331 netpay23      3.    
        @334 netpay24      3.    
        @337 netpay25      3.   
        @340 netpay26      3.   
        @343 netpay27      3.   
        @346 netpay28      3.   
        @349 netpay29      3.   
        @352 netpay30      3.   
        @355 netpay31      3.   
        @358 netpay32      3.   
        @361 netpay33      3.   
        @364 netpay34      3.   
        @367 netpay35      3.   
        @370 netpay36      3.   
        @373 netpay37      3.   
        @376 netpay38      3.   
        @379 netpay39      3.   
        @382 netpay40      3.   
        @385 netpay41      3.   
        @388 netpay42      3.   
        @391 netpay43      3.   
        @394 netpay44      3.   
        @397 netpay45      3.   
        @400 netpay46      3.   
        @403 netpay47      3.   
        @406 netpay48      3.   
        @409 netpay49      3.   
        @412 netpay50      3.   
        @415 netpay51      3.    
        @418 netpay52      3.    
        @421 noh           1.    
        @422 ppi          $1.    
        @423 procdate    mmddyy6.
        @429 procwk        2.     
        @431 qualdate    mmddyy6. 
        @437 qualexp       2.       
        @439 qualifyl      1.       
        @440 qualifys      1.       
        @441 qualsexp      2.       
        @443 recall        1.         
        @444 sex           1.       
        @445 spell2        2.       
        @447 spell2ui      4.       
        @451 stdwage      11.4     
        @462 survey        1.
        @463 termqtr       3.       
        @466 termwk        2.       
        @468 tot1          6.       
        @474 tot2          6.       
        @480 tot3          6.       
        @486 tot4          6.       
        @492 tot5          6.       
        @498 tot6          6.       
        @504 tot7          6.        
        @510 tot8          6.        
        @516 tot9          6.        
        @522 tot10         6.        
        @528 tot11         6.       
        @534 tot12         6.       
        @540 tot13         6.       
        @546 tot14         6.       
        @552 tot15         6.       
        @558 tot16         6.       
        @564 tot17         6.       
        @570 tot18         6.       
        @576 tot19         6.       
        @582 tot20         6.       
        @588 tot21         6.       
        @594 tot22         6.     
        @600 tot23         6.     
        @606 tot24         6.     
        @612 tot25         6.     
        @618 tot26         6.     
        @624 totalwks      2.     
        @626 tur1          4.1    
        @630 tur2          4.1    
        @634 tur3          4.1    
        @638 tur4          4.1    
        @642 tur5          4.1    
        @646 tur6          4.1    
        @650 tur7          4.1    
        @654 tur8          4.1    
        @658 tur9          4.1    
        @662 tur10         4.1    
        @666 tur11         4.1    
        @670 tur12         4.1    
        @674 tur13         4.1    
        @678 tur14         4.1    
        @682 tur15         4.1    
        @686 tur16         4.1    
        @690 tur17         4.1    
        @694 tur18         4.1    
        @698 tur19         4.1    
        @702 tur20         4.1    
        @706 tur21         4.1    
        @710 tur22         4.1    
        @714 tur23         4.1    
        @718 tur24         4.1    
        @722 tur25         4.1    
        @726 tur26         4.1    
        @730 uitotal       4.     
        @734 voucher       1.     
        @735 waitwk        2.     
        @737 wba1          3.     
        @740 wba2          3.
        @743 wg851        11.2    
        @754 wg852        11.2    
        @765 wg853        11.2    
        @776 wg854        11.2    
        @787 wg861        11.2    
        @798 wg862        11.2    
        @809 wg863        11.2    
        @820 wg864        11.2    
        @831 wg871        11.2    
        @842 wg872        11.2    
        @853 wg873        11.2    
        @864 wg874        11.2    
        @875 wg881        11.2    
        @886 wg882        11.2    
        @897 wg883        11.2    
        @908 wg884        11.2    
        @919 wg891        11.2    
        @930 wg892        11.2    
        @941 wg893        11.2    
        @952 wg894        11.2    
        @963 wgr851        6.2    
        @969 wgr852        6.2    
        @975 wgr853        6.2    
        @981 wgr854        6.2    
        @987 wgr861        6.2    
        @993 wgr862        6.2    
        @999 wgr863        6.2    
        @1005 wgr864        6.2    
        @1011 wgr871        6.2    
        @1017 wgr872        6.2    
        @1023 wgr873        6.2    
        @1029 wgr874        6.2    
        @1035 wgr881        6.2    
        @1041 wgr882        6.2    
        @1047 wgr883        6.2    
        @1053 wgr884        6.2    
        @1059 wgr891        6.2    
        @1065 wgr892        6.2    
        @1071 wgr893        6.2    
        @1077 wgr894        6.2;

** Add variable labels **;
  label AGE='Claimant age at filing';
  label BKTOWORK='Claimant returned to work (1=yes,0=no)';
  label BONUS='Collected bonus (1=yes,0=no)';
  label BONUSAMT='Amount of bonus offer';
  label BSIC='SIC code of major base period employer';
  label BWAGES='Base period wages';
  label DISLOC1='Dislocated 12 qtrs. same employer';
  label DISLOC2='Dislocated 12 qtrs. same industry';
  label DISLOC3='Dislocated 12 qtrs employment';
  label DOT='9-Digit occupational title';
  label EDC='Effective date of claim';
  label EDUCATE='Years of education';
  label ENROLLWK='Week of enrollment (0=Yakima pilot)';
  label ENTITLE='Length of entitlement (weeks)';
  label ETHNIC='Race (1=white,2=black,3=hispanic)';
  label F4A='Submitted valid Notice of Hire';
  label FILEQTR='Quarter of filing (ie 881,882,883,884)';
  label IAWS='Alpha Work Search Indicator at filing';
  label IUR1='Insured Unemp. Rate, October, 1987';
  label IUR2='Insured Unemp. Rate, November, 1987';
  label IUR3='Insured Unemp. Rate, December, 1987';
  label IUR4='Insured Unemp. Rate, January, 1988';
  label IUR5='Insured Unemp. Rate, February, 1988';
  label IUR6='Insured Unemp. Rate, March, 1988';
  label IUR7='Insured Unemp. Rate, April, 1988';
  label IUR8='Insured Unemp. Rate, May, 1988';
  label IUR9='Insured Unemp. Rate, June, 1988';
  label IUR10='Insured Unemp. Rate, July, 1988';
  label IUR11='Insured Unemp. Rate, August, 1988';
  label IUR12='Insured Unemp. Rate, September, 1988';
  label IUR13='Insured Unemp. Rate, October, 1988';
  label IUR14='Insured Unemp. Rate, November, 1988';
  label IUR15='Insured Unemp. Rate, December, 1988';
  label IUR16='Insured Unemp. Rate, January, 1989';
  label IUR17='Insured Unemp. Rate, February, 1989';
  label IUR18='Insured Unemp. Rate, March, 1989';
  label IUR19='Insured Unemp. Rate, April, 1989';
  label IUR20='Insured Unemp. Rate, May, 1989';
  label IUR21='Insured Unemp. Rate, June, 1989';
  label IUR22='Insured Unemp. Rate, July, 1989';
  label IUR23='Insured Unemp. Rate, August, 1989';
  label IUR24='Insured Unemp. Rate, September, 1989';
  label IUR25='Insured Unemp. Rate, October, 1989';
  label IUR26='Insured Unemp. Rate, November, 1989';
  label JSC='Job Service Center of filing';
  label NETPAY1='Net UI payment, week 1 of claim';
  label NETPAY2='Net UI payment, week 2 of claim';
  label NETPAY3='Net UI payment, week 3 of claim';
  label NETPAY4='Net UI payment, week 4 of claim';
  label NETPAY5='Net UI payment, week 5 of claim';
  label NETPAY6='Net UI payment, week 6 of claim';
  label NETPAY7='Net UI payment, week 7 of claim';
  label NETPAY8='Net UI payment, week 8 of claim';
  label NETPAY9='Net UI payment, week 9 of claim';
  label NETPAY10='Net UI payment, week 10 of claim';
  label NETPAY11='Net UI payment, week 11 of claim';
  label NETPAY12='Net UI payment, week 12 of claim';
  label NETPAY13='Net UI payment, week 13 of claim';
  label NETPAY14='Net UI payment, week 14 of claim';
  label NETPAY15='Net UI payment, week 15 of claim';
  label NETPAY16='Net UI payment, week 16 of claim';
  label NETPAY17='Net UI payment, week 17 of claim';
  label NETPAY18='Net UI payment, week 18 of claim';
  label NETPAY19='Net UI payment, week 19 of claim';
  label NETPAY20='Net UI payment, week 20 of claim';
  label NETPAY21='Net UI payment, week 21 of claim';
  label NETPAY22='Net UI payment, week 22 of claim';
  label NETPAY23='Net UI payment, week 23 of claim';
  label NETPAY24='Net UI payment, week 24 of claim';
  label NETPAY25='Net UI payment, week 25 of claim';
  label NETPAY26='Net UI payment, week 26 of claim';
  label NETPAY27='Net UI payment, week 27 of claim';
  label NETPAY28='Net UI payment, week 28 of claim';
  label NETPAY29='Net UI payment, week 29 of claim';
  label NETPAY30='Net UI payment, week 30 of claim';
  label NETPAY31='Net UI payment, week 31 of claim';
  label NETPAY32='Net UI payment, week 32 of claim';
  label NETPAY33='Net UI payment, week 33 of claim';
  label NETPAY34='Net UI payment, week 34 of claim';
  label NETPAY35='Net UI payment, week 35 of claim';
  label NETPAY36='Net UI payment, week 36 of claim';
  label NETPAY37='Net UI payment, week 37 of claim';
  label NETPAY38='Net UI payment, week 38 of claim';
  label NETPAY39='Net UI payment, week 39 of claim';
  label NETPAY40='Net UI payment, week 40 of claim';
  label NETPAY41='Net UI payment, week 41 of claim';
  label NETPAY42='Net UI payment, week 42 of claim';
  label NETPAY43='Net UI payment, week 43 of claim';
  label NETPAY44='Net UI payment, week 44 of claim';
  label NETPAY45='Net UI payment, week 45 of claim';
  label NETPAY46='Net UI payment, week 46 of claim';
  label NETPAY47='Net UI payment, week 47 of claim';
  label NETPAY48='Net UI payment, week 48 of claim';
  label NETPAY49='Net UI payment, week 49 of claim';
  label NETPAY50='Net UI payment, week 50 of claim';
  label NETPAY51='Net UI payment, week 51 of claim';
  label NETPAY52='Net UI payment, week 52 of claim';
  label NOH='Submitted Notice of Hire (1=yes,0=no)';
  label PPI='Treatment group (0=control,1=t1 ..6=t6)';
  label PROCDATE='Date IC processed';
  label PROCWK='Week of claim IC processed';
  label QUALDATE='Qualification period deadline';
  label QUALEXP='Week of claim deadline expires';
  label QUALIFYL='Terminated, no UI for 17 wks (long)';
  label QUALIFYS='Terminated, no UI for 17 wks (short)';
  label QUALSEXP='Week of claim deadline expires (short)';
  label RECALL='Recalled to prior employer (1=yes)';
  label SEX='Gender, 1=male,0=female';
  label SPELL2='Initial spell length (2 week gap)';
  label SPELL2UI='Initial spell compensation (2 week gap)';
  label STDWAGE='Std. deviation, base period wages';
  label SURVEY='Selected for follow-up Survey';
  label TERMQTR='Quarter terminating benefits (ie 881)';
  label TERMWK='Week of claim terminated benefits';
  label TOT1='Employment, October, 1987';
  label TOT2='Employment, November, 1987';
  label TOT3='Employment, December, 1987';
  label TOT4='Employment, January, 1988';
  label TOT5='Employment, February, 1988';
  label TOT6='Employment, March, 1988';
  label TOT7='Employment, April, 1988';
  label TOT8='Employment, May, 1988';
  label TOT9='Employment, June, 1988';
  label TOT10='Employment, July, 1988';
  label TOT11='Employment, August, 1988';
  label TOT12='Employment, September, 1988';
  label TOT13='Employment, October, 1988';
  label TOT14='Employment, November, 1988';
  label TOT15='Employment, December, 1988';
  label TOT16='Employment, January, 1989';
  label TOT17='Employment, February, 1989';
  label TOT18='Employment, March, 1989';
  label TOT19='Employment, April, 1989';
  label TOT20='Employment, May, 1989';
  label TOT21='Employment, June, 1989';
  label TOT22='Employment, July, 1989';
  label TOT23='Employment, August, 1989';
  label TOT24='Employment, September, 1989';
  label TOT25='Employment, October, 1989';
  label TOT26='Employment, November, 1989';
  label TOTALWKS='Total weeks receiving some UI comp.';
  label TUR1='Total Unemp. Rate, October, 1987';
  label TUR2='Total Unemp. Rate, November, 1987';
  label TUR3='Total Unemp. Rate, December, 1987';
  label TUR4='Total Unemp. Rate, January, 1988';
  label TUR5='Total Unemp. Rate, February, 1988';
  label TUR6='Total Unemp. Rate, March, 1988';
  label TUR7='Total Unemp. Rate, April, 1988';
  label TUR8='Total Unemp. Rate, May, 1988';
  label TUR9='Total Unemp. Rate, June, 1988';
  label TUR10='Total Unemp. Rate, July, 1988';
  label TUR11='Total Unemp. Rate, August, 1988';
  label TUR12='Total Unemp. Rate, September, 1988';
  label TUR13='Total Unemp. Rate, October, 1988';
  label TUR14='Total Unemp. Rate, November, 1988';
  label TUR15='Total Unemp. Rate, December, 1988';
  label TUR16='Total Unemp. Rate, January, 1989';
  label TUR17='Total Unemp. Rate, February, 1989';
  label TUR18='Total Unemp. Rate, March, 1989';
  label TUR19='Total Unemp. Rate, April, 1989';
  label TUR20='Total Unemp. Rate, May, 1989';
  label TUR21='Total Unemp. Rate, June, 1989';
  label TUR22='Total Unemp. Rate, July, 1989';
  label TUR23='Total Unemp. Rate, August, 1989';
  label TUR24='Total Unemp. Rate, September, 1989';
  label TUR25='Total Unemp. Rate, October, 1989';
  label TUR26='Total Unemp. Rate, November, 1989';
  label UITOTAL='Total compensation in benefit year';
  label VOUCHER='Submitted bonus voucher';
  label WAITWK='Week of claim served waiting week';
  label WBA1='Weekly Benefit Amount at IC Processing';
  label WBA2='Weekly Benefit Amount at BYE';
  label WG851='Total wages 85:1';
  label WG852='Total wages 85:2';
  label WG853='Total wages 85:3';
  label WG854='Total wages 85:4';
  label WG861='Total wages 86:1';
  label WG862='Total wages 86:2';
  label WG863='Total wages 86:3';
  label WG864='Total wages 86:4';
  label WG871='Total wages 87:1';
  label WG872='Total wages 87:2';
  label WG873='Total wages 87:3';
  label WG874='Total wages 87:4';
  label WG881='Total wages 88:1';
  label WG882='Total wages 88:2';
  label WG883='Total wages 88:3';
  label WG884='Total wages 88:4';
  label WG891='Total wages 89:1';
  label WG892='Total wages 89:2';
  label WG893='Total wages 89:3';
  label WG894='Total wages 89:4';
  label WGR851='Hourly wage rate, 85:1';
  label WGR852='Hourly wage rate, 85:2';
  label WGR853='Hourly wage rate, 85:3';
  label WGR854='Hourly wage rate, 85:4';
  label WGR861='Hourly wage rate, 86:1';
  label WGR862='Hourly wage rate, 86:2';
  label WGR863='Hourly wage rate, 86:3';
  label WGR864='Hourly wage rate, 86:4';
  label WGR871='Hourly wage rate, 87:1';
  label WGR872='Hourly wage rate, 87:2';
  label WGR873='Hourly wage rate, 87:3';
  label WGR874='Hourly wage rate, 87:4';
  label WGR881='Hourly wage rate, 88:1';
  label WGR882='Hourly wage rate, 88:2';
  label WGR883='Hourly wage rate, 88:3';
  label WGR884='Hourly wage rate, 88:4';
  label WGR891='Hourly wage rate, 89:1';
  label WGR892='Hourly wage rate, 89:2';
  label WGR893='Hourly wage rate, 89:3';
  label WGR894='Hourly wage rate, 89:4';
  label accid851='Scrambled Employer Account ID Number, 851';
  label accid852='Scrambled Employer Account ID Number, 852';
  label accid853='Scrambled Employer Account ID Number, 853';
  label accid854='Scrambled Employer Account ID Number, 854';
  label accid861='Scrambled Employer Account ID Number, 861';
  label accid862='Scrambled Employer Account ID Number, 862';
  label accid863='Scrambled Employer Account ID Number, 863';
  label accid864='Scrambled Employer Account ID Number, 864';
  label accid871='Scrambled Employer Account ID Number, 871';
  label accid872='Scrambled Employer Account ID Number, 872';
  label accid873='Scrambled Employer Account ID Number, 873';
  label accid874='Scrambled Employer Account ID Number, 874';
  label accid881='Scrambled Employer Account ID Number, 881';
  label accid882='Scrambled Employer Account ID Number, 882';
  label accid883='Scrambled Employer Account ID Number, 883';
  label accid884='Scrambled Employer Account ID Number, 884';
  label accid891='Scrambled Employer Account ID Number, 891';
  label accid892='Scrambled Employer Account ID Number, 892';
  label accid893='Scrambled Employer Account ID Number, 893';
  label accid894='Scrambled Employer Account ID Number, 894';
  label asc='Meets Analytic Sample Criteria';
  label dislmea='Dislocated, LMEA defintion';
  label idno='Claimant identification number';
  label mbp='Maximum Benefits Payable';

**  Set missing values to SAS system specific values  **;
  %misswage;
  if bktowork=9 then bktowork=.;
  if bonus=9 then bonus=.;
  if bonusamt=9999 then bonusamt=.;
  if bsic='X' then bsic='';
  if dot='XXX' then dot='';
  if f4a=9 then f4a=.;
  if iaws='9' then iaws='';
  if noh=9 then noh=.;
  if qualdate='01jan1991'd then qualdate=.;
  if qualexp=0 then qualexp=.;
  if qualsexp=0 then qualsexp=.;
  if recall=9 then recall=.;
  if voucher=9 then voucher=.;

  format edc procdate qualdate mmddyy6.;


proc contents data=wreb;

**  Display means of numeric variables  **;
proc means data=wreb;
  var idno age accid851-accid854 accid861-accid864 accid871-accid874
      accid881-accid884 accid891-accid894 asc bktowork 
      bonus bonusamt bwages dislmea
      disloc1-disloc3 educate enrollwk entitle
      f4a fileqtr iur1-iur26 mbp netpay1-netpay52
      noh procwk qualexp qualifyl
      qualifys qualsexp recall sex spell2 spell2ui stdwage survey
      termqtr termwk tot1-tot26 totalwks tur1-tur26 uitotal
      voucher waitwk wba1 wba2 wg851-wg854 wg861-wg864 wg871-wg874
      wg881-wg884 wg891-wg894 wgr851-wgr854 wgr861-wgr864
      wgr871-wgr874 wgr881-wgr884 wgr891-wgr894;

**  Display frequency distribution of character and date values  **;
proc freq;
  tables bsic dot edc ethnic iaws jsc ppi procdate qualdate;
